Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Class EmailEventGenChannelConfiguration

    java.lang.Object
      com.bea.wli.management.configuration.EmailEventGenChannelConfiguration

All Implemented Interfaces:
  Serializable

    public class EmailEventGenChannelConfiguration

extends Object
implements Serializable

Represents a channel rule for an EMail Event Generator.

Rule Fields:

- hostname - mail server host address
- portNumber - mail server port number
- protocol - mail server protocol (pop3, imap etc.)
- username - mail server username
- password - Password to the above account
- password-alias - Alias to password store
- pollingInterval - how often to poll the server, in secs
- read-limit - Num of emails to read and process every poll interval
- postReadAction - What to do with the email after processing - delete | archive | move
- attachments - What to do with the attachemnts - archive | ignore
- archive-directory - Directory to archive messages and attachments in
- error-directory - Directory to archive messges with errors messages and attachments in
- imap-move-folder - Folder to move email messages to after they are processes (IMAP only)

Other fields:

- channel - channel to send to if rules match
- comment - comment for this channel rule
- packageType - package type to send (xml, RawData, String)
- attachmentArchiveDir - What to do with attachments - archive | post
- attachmentAction - What to do with attachments - archive | post
- archiveFolder - name of the folder to move the message to

See Also:
  `EmailEventGenConfigurationMBean`, Serialized Form

Field Summary
`static String` | `_ATTACHMENT_ARCHIVE`
`static String` | `_ATTACHMENT_IGNORE`
`static int` | `_DEFAULT_POLLING_INTERVAL`
`static String` | `_DEFAULT_PROTOCOL`
`static int` | `_DEFAULT_READ_LIMIT`
`static String` | `_POSTREAD_ARCHIVE`
`static String` | `_POSTREAD_DELETE`
`static String` | `_POSTREAD_MOVE`

Constructor Summary
`EmailEventGenChannelConfiguration()` Constructs a new EmailEventGenChannelConfiguration object.

Method Summary
`String` | `getArchiveDirectory()` Return the archive directory.
`String` | `getAttachmentAction()` Return the attachment action.
`String` | `getChannel()` Return the channel name.
`String` | `getComment()` Return the description.
`String` | `getErrorDirectory()` Return the name of the error directory.
`String` | `getHostname()` Return the host name.
`String` | `getImapMoveFolder()` Return the archive folder.
`String` | `getPassword()` Return the password.
`String` | `getPasswordAlias()` Return the password alias.
`int` | `getPollingInterval()` Return the polling interval.
`int` | `getPortNumber()` Return the port number.
`String` | `getPostReadAction()` Return the post read action.
`String` | `getProtocol()` Return the protocol.
`String` | `getPublishAsUser()` Get the publishAsUser attribute
`int` | `getReadLimit()` Return the read limit.
`String` | `getSubjectFilter()` Deprecated. Return the subject filter
`String` | `getUsername()` Return the username.
`void` | `setArchiveDirectory(String archiveDir)` Set the archive directory.
`void` | `setAttachmentAction(String attachmentAction)` Sets the attachment action.
`void` | `setChannel(String channel)` Set the name of the channel.
`void` | `setComment(String comment)` Set a description for the channel rule.
`void` | `setErrorDirectory(String errorDir)` Set the error directory.
`void` | `setHostname(String hostName)` Set the hostname.
`void` | `setImapMoveFolder(String imapMoveFolder)` Set the IMAP move folder name.
`void` | `setPassword(String password)` Set the password to the email account being polled.
`void` | `setPasswordAlias(String pwdAlias)` Set the password alias.
`void` | `setPollingInterval(int pollingInterval)` Set the polling interval.
`void` | `setPortNumber(int portNumber)` Set the port number on which the email server is accessible.
`void` | `setPostReadAction(String postReadAction)` Set the post-read action.
`void` | `setProtocol(String protocol)` Set the protocol to use to access the specified mailbox.
`void` | `setPublishAsUser(String publishAsUser)` Set the publishAsUser attribute
`void` | `setReadLimit(int readLimit)` Set the read limit.
`void` | `setSubjectFilter(String subjectFilter)` Deprecated. Set the subject filter to filter email messages.
`void` | `setUsername(String username)` Set the username of the email account that needs to be polled for incoming messages.
`String` | `toString()` Returns a string representation of this channel.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _POSTREAD_ARCHIVE

    public static final String _POSTREAD_ARCHIVE

See Also:
  Constant Field Values

### _POSTREAD_DELETE

    public static final String _POSTREAD_DELETE

See Also:
  Constant Field Values

### _POSTREAD_MOVE

    public static final String _POSTREAD_MOVE

See Also:
  Constant Field Values

### _ATTACHMENT_ARCHIVE

    public static final String _ATTACHMENT_ARCHIVE

See Also:
  Constant Field Values

### _ATTACHMENT_IGNORE

    public static final String _ATTACHMENT_IGNORE

See Also:
  Constant Field Values

### _DEFAULT_POLLING_INTERVAL

    public static final int _DEFAULT_POLLING_INTERVAL

See Also:
  Constant Field Values

### _DEFAULT_READ_LIMIT

    public static final int _DEFAULT_READ_LIMIT

See Also:
  Constant Field Values

### _DEFAULT_PROTOCOL

    public static final String _DEFAULT_PROTOCOL

See Also:
  Constant Field Values

Constructor Detail

### EmailEventGenChannelConfiguration

    public EmailEventGenChannelConfiguration()

  Constructs a new EmailEventGenChannelConfiguration object.

Method Detail

### toString

    public String toString()

  Returns a string representation of this channel.

  Overrides:
    `toString` in class `Object`

### setHostname

    public void setHostname(String hostName)

  Set the hostname. This is the address of the email server to poll for messages.

  Parameters:
    `hostName` - - the hostname to set.

### setArchiveDirectory

    public void setArchiveDirectory(String archiveDir)

  Set the archive directory. Email messages and attachments are saved to this directory after the email is read and processed. The filenames of the archived files are prefixed with the timestamp of the time they were processed.

  Parameters:
    `archiveDir` - - the archive directory to set.

### setErrorDirectory

    public void setErrorDirectory(String errorDir)

  Set the error directory. The body of the email message along with any attachments are copied to this directory if any errors are encountered when publishing the email message. The filenames of the archived files are prefixed with the timestamp of the time that the error occurred.

  Parameters:
    `errorDir` - - the error directory to set.

### setPollingInterval

    public void setPollingInterval(int pollingInterval)

  Set the polling interval. The polling interval specifies how often the email server is polled to check for new messages.

  Parameters:
    `pollingInterval` - - the polling interval in seconds.

### setPostReadAction

    public void setPostReadAction(String postReadAction)

  Set the post-read action. Specify what to do with the email after it is read and published. The allowed values for a POP3 server are 'DELETE' and 'ARCHIVE'. An IMAP server allows 'DELETE', 'ARCHIVE' and 'MOVE'. The default value is 'DELETE'.

  Parameters:
    `postReadAction` - - the post read action to set.

### setPassword

    public void setPassword(String password)

  Set the password to the email account being polled.

  Parameters:
    `password` - - the password to set.

### setProtocol

    public void setProtocol(String protocol)

  Set the protocol to use to access the specified mailbox. The valid values are IMAP or POP3. Defaults to POP3.

  Parameters:
    `protocol` - - the protocol to set.

### setPortNumber

    public void setPortNumber(int portNumber)

  Set the port number on which the email server is accessible. The default value is -1 which allows the correct port number to be selected, depending on the protocol specified.

  Parameters:
    `portNumber` - - the port number to set.

### setAttachmentAction

    public void setAttachmentAction(String attachmentAction)

  Sets the attachment action. Attachments that are sent in the email messages can be either 'IGNORE'ed or 'ARCHIVE'ed. The default value is ARCHIVE.

  Parameters:
    `attachmentAction` - - the value to set.

### setChannel

    public void setChannel(String channel)

  Set the name of the channel. Email messages are published to the channel specified by the channel name.

  Parameters:
    `channel` - - the name to channel to set.

### setImapMoveFolder

    public void setImapMoveFolder(String imapMoveFolder)

  Set the IMAP move folder name. Specify the name of the folder to move messages to after they are processed. This option is valid only if the protocol is set to IMAP.

  Parameters:
    `imapMoveFolder` - - the folder to move messages to.

### setComment

    public void setComment(String comment)

  Set a description for the channel rule.

  Parameters:
    `comment` - - the description of this channel.

### setUsername

    public void setUsername(String username)

  Set the username of the email account that needs to be polled for incoming messages.

  Parameters:
    `username` - - the username of the account to poll.

### setSubjectFilter

    public void setSubjectFilter(String subjectFilter)

  Deprecated. Set the subject filter to filter email messages.

  Parameters:
    `subjectFilter` - the subject filter to set.

### setPasswordAlias

    public void setPasswordAlias(String pwdAlias)

  Set the password alias. Specify the alias to the password store in order to look up the password to the email account.

  Parameters:
    `pwdAlias` - - the alias to set.

### setReadLimit

    public void setReadLimit(int readLimit)

  Set the read limit. Specify the number of email messages to read in each polling of the email account. The default value is '0', which means no limit. All the messages in the Inbox are read in each polling interval.

  Parameters:
    `readLimit` - - the read limit to set.

### setPublishAsUser

    public void setPublishAsUser(String publishAsUser)

  Set the publishAsUser attribute

  Parameters:
    `publishAsUser` - property to set

### getReadLimit

    public int getReadLimit()

  Return the read limit.

  Returns:
    the read limit configured.

### getSubjectFilter

    public String getSubjectFilter()

  Deprecated. Return the subject filter

  Returns:
    the subject filter.

### getPasswordAlias

    public String getPasswordAlias()

  Return the password alias.

  Returns:
    the password alias.

### getArchiveDirectory

    public String getArchiveDirectory()

  Return the archive directory.

  Returns:
    the archive directory.

### getErrorDirectory

    public String getErrorDirectory()

  Return the name of the error directory.

  Returns:
    the error directory.

### getPollingInterval

    public int getPollingInterval()

  Return the polling interval.

  Returns:
    the polling interval.

### getPostReadAction

    public String getPostReadAction()

  Return the post read action.

  Returns:
    the value of the post read action.

### getPassword

    public String getPassword()

  Return the password.

  Returns:
    the password.

### getProtocol

    public String getProtocol()

  Return the protocol.

  Returns:
    the name of the protocol currently configured.

### getPortNumber

    public int getPortNumber()

  Return the port number.

  Returns:
    the port number of the email server.

### getAttachmentAction

    public String getAttachmentAction()

  Return the attachment action.

  Returns:
    the value currently set for attachment action- ARCHIVE or IGNORE.

### getChannel

    public String getChannel()

  Return the channel name.

  Returns:
    the name of the channel.

### getImapMoveFolder

    public String getImapMoveFolder()

  Return the archive folder.

  Returns:
    the name of the archive folder.

### getComment

    public String getComment()

  Return the description.

### getUsername

    public String getUsername()

  Return the username.

  Returns:
    the username.

### getHostname

    public String getHostname()

  Return the host name.

  Returns:
    the host name.

### getPublishAsUser

    public String getPublishAsUser()

  Get the publishAsUser attribute

  Returns:
    publishAsUser attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD